summaryrefslogtreecommitdiff
path: root/utils.sh
diff options
context:
space:
mode:
authorAndreas Maunz <andreas@maunz.de>2011-04-07 08:50:06 +0200
committerAndreas Maunz <andreas@maunz.de>2011-04-07 08:50:06 +0200
commit1a36ef888295afd6592d617a7b3657386133d43f (patch)
treed65a58beb1f7e76ba4261f4831c55de258e7bc1c /utils.sh
parent721feafdb56c18fb7424d505377abe80d78f4e7b (diff)
parenteb936c2d958e3ac2422bcecd073c8e0ef1a60abf (diff)
Merge conflicts
Diffstat (limited to 'utils.sh')
-rwxr-xr-xutils.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/utils.sh b/utils.sh
index cff99da..2a17452 100755
--- a/utils.sh
+++ b/utils.sh
@@ -15,11 +15,12 @@ run_cmd ()
local cmd="$1"
local title="$2"
- if ! eval $cmd >>$LOG 2>&1 ; then
- printf "%25s%15s\n" "'$title'" "FAIL"
+ printf "%15s" "'$title'"
+ if ! eval $cmd >>$LOG 2>&1 ; then
+ printf "%25s\n" "FAIL"
exit 1
fi
- printf "%25s%15s\n" "'$title'" "DONE"
+ printf "%25s\n" "DONE"
}